For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETGet Customer Settings
                • PUTUpdate Customer Settings
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Global Settings

Update Customer Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/customers/settings
PUT
/stores/:store_hash/v3/customers/settings
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/customers/settings \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "privacy_settings": {
> "ask_shopper_for_tracking_consent": true,
> "policy_url": "https://www.example-store.com/privacy-policy"
> },
> "customer_group_settings": {
> "guest_customer_group_id": 5,
> "default_customer_group_id": 1
> }
>}'
200Update customer settings
1{
2 "privacy_settings": {
3 "ask_shopper_for_tracking_consent": true,
4 "policy_url": "https://www.example-store.com/privacy-policy",
5 "ask_shopper_for_tracking_consent_on_checkout": true
6 },
7 "customer_group_settings": {
8 "guest_customer_group_id": 5,
9 "default_customer_group_id": 1
10 }
11}
Updates the customer settings on the global level.
Was this page helpful?
Previous

Get Customer Settings

Next

List Customer Metafields

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
privacy_settingsobjectOptional
Controls the privacy settings.
customer_group_settingsobjectOptional
The settings for a collection of customers.

Response

Customer settings are returned on a global level.
dataobject
Customer Settings.
metaobject